* {
  font-family: monospace;
}

html {
  height: 100%;
  width: 100%;
  cursor: url(assets/cursor.png), auto;
  background: -webkit-linear-gradient(
    180deg,
    rgba(235, 240, 240, 1) 0%,
    rgba(235, 240, 240, 1) 73%,
    rgba(188, 217, 228, 1) 90%,
    rgba(159, 194, 214, 1) 100%
  );
  background: -moz-linear-gradient(
    180deg,
    rgba(235, 240, 240, 1) 0%,
    rgba(235, 240, 240, 1) 73%,
    rgba(188, 217, 228, 1) 90%,
    rgba(159, 194, 214, 1) 100%
  );
  background: linear-gradient(
    180deg,
    rgba(235, 240, 240, 1) 0%,
    rgba(235, 240, 240, 1) 73%,
    rgba(188, 217, 228, 1) 90%,
    rgba(159, 194, 214, 1) 100%
  );
  filter: progid:DXImageTransform.Microsoft.gradient(startColorstr="#EBF0F0", endColorstr="#9FC2D6", GradientType=0);
  background-size: 150vw 150vh;
  animation-name: bgBreathe;
  animation-duration: 8s;
  animation-timing-function: ease-in-out;
  animation-iteration-count: infinite;
}

@keyframes bgBreathe {
  0% {
    background-position-y: top;
  }
  50% {
    background-position-y: bottom;
  }
  100% {
    background-position-y: top;
  }
}

body {
  margin: 0;
  background-image:
    radial-gradient(#00000007 7px, transparent 7px),
    radial-gradient(#00000007 7px, transparent 7px);
  background-size: 57px 57px;
  background-position:
    0 0,
    28.5px 28.5px;
  background-color: #ebf0f000;
  color: #4f4f4f;
}

h1 {
  font-size: 2.5rem;
  font-weight: bolder;
  filter: drop-shadow(0px 0px 2px rgb(183, 221, 255));
}

hr {
  width: 50%;
}

.content-wrap {
  width: 100vw;
  height: 100vh;
  position: relative;
  align-self: center;
  align-content: center;
  margin: auto;
}

.bg {
  position: fixed;
  height: 105vh;
  width: 100vw;
  overflow: hidden;
  z-index: 0;
  pointer-events: none;
}

.pi {
  position: absolute;
  width: 60px;
  height: 60px;
  background-image: url(assets/picrusst.png);
  background-size: contain;
  pointer-events: none;
}
.pi:nth-child(1) {
  left: 20%;
  bottom: -80px;
  animation: piFloat 10s infinite linear;
}
.pi:nth-child(2) {
  left: 10%;
  bottom: -70px;
  animation: piFloat 13s infinite linear;
  animation-delay: 1s;
}
.pi:nth-child(3) {
  left: 80%;
  bottom: -54px;
  animation: piFloat 15s infinite linear;
  animation-delay: 3s;
}
.pi:nth-child(4) {
  left: 65%;
  bottom: -80px;
  animation: piFloat 18s infinite linear;
  animation-delay: 6s;
}
.pi:nth-child(5) {
  left: 90%;
  bottom: -150px;
  animation: piFloat 20s infinite linear;
  animation-delay: 9s;
}
.pi:nth-child(6) {
  left: 30%;
  bottom: -80px;
  animation: piFloat 11s infinite linear;
  animation-delay: 12s;
}
.pi:nth-child(7) {
  left: 40%;
  bottom: -60px;
  animation: piFloat 12s infinite linear;
  animation-delay: 15s;
}
.pi:nth-child(8) {
  left: 50%;
  bottom: -100px;
  animation: piFloat 15s infinite linear;
  animation-delay: 18s;
}
.pi:nth-child(9) {
  left: 60%;
  bottom: -70px;
  animation: piFloat 14s infinite linear;
  animation-delay: 21s;
}
.pi:nth-child(10) {
  left: 70%;
  bottom: -40px;
  animation: piFloat 24s infinite linear;

  animation-delay: 7s;
}
.pi:nth-child(11) {
  left: 85%;
  bottom: -50px;
  animation: piFloat 16s infinite linear;
  animation-delay: 27s;
}
.pi:nth-child(12) {
  left: 5%;
  bottom: -50px;
  animation: piFloat 16s infinite linear;
  animation-delay: 30s;
}

@keyframes piFloat {
  0% {
    transform: translateY(0) rotate(0deg);
    opacity: 0.7;
  }
  100% {
    transform: translateY(-110vh) rotate(360deg);
    opacity: 0;
  }
}

h1,
h2,
h3 {
  text-align: center;
}

button {
  background-color: #fbffff;
  border: 2px solid rgb(123, 123, 123);
  padding: 10px 30px 10px 30px;
  border-radius: 9999px;
  font-size: x-large;
  margin: 20px;
  transform: scale(1);
  transition: all 0.09s ease-in-out;
  box-shadow:
    -10px -20px 10px 18px rgba(144, 141, 141, 0.325) inset,
    -3px -8px 12px 1px rgba(156, 154, 154, 0.461) inset,
    0px 0px 2px 2px rgba(0, 0, 0, 0.264) inset,
    0px 0px 10px 0px rgba(159, 170, 188, 0.612);
  color: #4f4f4f;
}

button:hover {
  transform: scale(1.08);
  box-shadow:
    -10px -20px 10px 18px rgba(144, 141, 141, 0.325) inset,
    -3px -8px 12px 1px rgba(156, 154, 154, 0.461) inset,
    0px 0px 2px 2px rgba(0, 0, 0, 0.264) inset,
    0px 0px 3px 1px #30bce3;
}
button:active {
  transform: scale(0.9);
}

.container {
  position: relative;
  border: 4px double #555a5d55;
  background-color: #e4e2e26a;
  border-radius: 20px;
  width: 50%;
  height: 50%;
  max-width: 350px;
  padding: 40px;
  box-shadow:
    0px 0px 2px 3px inset #ffffffe3,
    0px 0px 2px 2px rgba(32, 37, 43, 0.298);
  align-content: center;
  text-align: center;
  margin: auto;
  transition:
    height 0.3s ease,
    width 0.3s ease;
  text-overflow: clip;
}

.page-indicator-box {
  position: relative;
  margin: auto;
  width: fit-content;
  height: fit-content;
  padding: 10px 10px 10px 5px;
  display: flex;
  align-items: center;
}

.page-indicator {
  width: 0px;
  height: 0px;
  border: 2px solid rgb(85, 85, 85);
  margin-left: 5px;
  transition: box-shadow 0.1s ease-in-out;
}
.page-indicator.selected {
  border: 4px solid rgb(73, 220, 220);
  box-shadow: 0px 0px 4px 1px rgba(73, 220, 220, 0.82);
}

.page-select {
  position: absolute;
  width: fit-content;
  height: fit-content;
  width: 30px;
  height: 60px;
  top: 50%;
  transform: translateY(-50%);
  filter: drop-shadow(0px 0px 2px #57677c) drop-shadow(0px 0px 3px #676767);
  transition: transform 0.09s ease-in-out;
}

.page-select:hover {
  transform: scale(1.08) translateY(-50%);
  filter: drop-shadow(0px 0px 2px #57677c) drop-shadow(0px 0px 3px #676767)
    drop-shadow(0px 0px 3px #30bce378);
}
.page-select:active {
  transform: scale(0.9) translateY(-50%);
}

.page-select-inner {
  background: #c6c6c7;
  background: -webkit-linear-gradient(
    180deg,
    rgba(232, 235, 237, 1) 0%,
    rgba(158, 163, 168, 1) 100%
  );
  background: -moz-linear-gradient(
    180deg,
    rgba(232, 235, 237, 1) 0%,
    rgba(158, 163, 168, 1) 100%
  );
  background: linear-gradient(
    180deg,
    rgba(232, 235, 237, 1) 0%,
    rgba(158, 163, 168, 1) 100%
  );
  filter: progid:DXImageTransform.Microsoft.gradient(startColorstr="#E8EBED", endColorstr="#9EA3A8", GradientType=0);
  width: 100%;
  height: 100%;
}
.right .page-select-inner {
  clip-path: polygon(0 0, 100% 50%, 0 100%, 15% 50%);
}
.left .page-select-inner {
  clip-path: polygon(100% 0, 85% 50%, 100% 100%, 0 50%);
}
.page-select.right {
  right: -20px;
}
.page-select.left {
  left: -20px;
}

.page-container {
  display: none;
  animation: blinky 0.5s ease-in-out;
}
.page-container.active {
  display: block;
}

@keyframes blinky {
  0% {
    opacity: 0%;
  }
  100% {
    opacity: 100%;
  }
}
